[SOLVED] re-install problems

This forum is dedicated to basic help and support :

Ask here your questions about basic installation and usage of Mageia. For example you may post here all your questions about getting Mageia isos and installing it, configuring your printer, using your word processor etc.

Try to ask your questions in the right sub-forum with as much details as you can gather. the more precise the question will be, the more likely you are to get a useful answer

[SOLVED] re-install problems

Postby nwtmg » Apr 1st, '20, 15:42

recently for reasons I had to reinstall mageia. Downloaded 32 bit 7.1 and successfully installed. Encountering some problems when I am trying to install some software.

Virtualbox and Falkon

Code: Select all
Qt FATAL: This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.


Located too much info on the web on this problem using google.

Also under the menu my System menu item is missing so no mageia control panel. Thanks for your help.
Last edited by nwtmg on Apr 8th, '20, 19:03, edited 1 time in total.
nwtmg
 
Posts: 113
Joined: Jun 2nd, '15, 22:14

Re: re-install problems

Postby doktor5000 » Apr 1st, '20, 18:20

What does "Virtualbox and Falkon" mean above the code box? Are you trying to run falkon inside a virtualbox VM ? Or does that happen when you try to run falkon or virtualbox ?
Might be helpful if you could run either from a terminal prefixed with
Code: Select all
QT_DEBUG_PLUGINS=1
and post the whole output here.

For the mageia control panel, is the package drakconf installed? What happens when you run drakconf from a terminal as regular user, and as root?
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 15673
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: re-install problems

Postby nwtmg » Apr 1st, '20, 21:13

Thanks for the response

Ran falkon at the prompt and got the following results

Code: Select all
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
Fatal: This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.


Regards the menu the right click menu items are different from the menu items on the panel.
nwtmg
 
Posts: 113
Joined: Jun 2nd, '15, 22:14

Re: re-install problems

Postby nwtmg » Apr 3rd, '20, 20:20

update. trying to install okular and I getting the following error. first is from gui second from prompt. I believe there is something wrong with my qt install.

Code: Select all
1 installation transactions failed
There was a problem during the installation:
...retrieving failed: aria2 failed: exited with 22
...retrieving failed: aria2 failed: exited with 22


Code: Select all
urpmi okular
In order to satisfy the 'libQt5QuickControls2.so.5' dependency, one of the following packages is needed:
 1- libqt5quickcontrols2_5-5.12.6-1.mga7.i586: Qt5 QuickControls2 Component Library (to install)
 2- libqt5labstemplates5-5.12.2-2.mga7.i586: Qt5 Component Library (to install)
What is your choice? (1-2) 2
In order to satisfy the 'libQt5QuickTemplates2.so.5(Qt_5_PRIVATE_API)' dependency, one of the following packages is needed:
 1- libqt5quicktemplates2_5-5.12.6-1.mga7.i586: Qt5 QuickTemplates2 Component Library (to install)
 2- libqt5quicktemplates5-5.12.2-2.mga7.i586: Qt5 Component Library (to install)
What is your choice? (1-2) 1

nwtmg
 
Posts: 113
Joined: Jun 2nd, '15, 22:14

Re: re-install problems

Postby doktor5000 » Apr 3rd, '20, 23:25

Well for the first one, you had an error downloading packages. For the second, there's no error - but what happened afterwards, after the prompt? There's nothing wrong with your Qt installation so far.
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 15673
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: re-install problems

Postby nwtmg » Apr 4th, '20, 19:41

At least now I am able to install but not start.

Code: Select all
urpmi okular
In order to satisfy the 'libQt5QuickControls2.so.5(Qt_5)' dependency, one of the following packages is needed:
 1- libqt5quickcontrols2_5-5.12.6-1.mga7.i586: Qt5 QuickControls2 Component Library (to install)
 2- libqt5labstemplates5-5.12.2-2.mga7.i586: Qt5 Component Library (to install)
What is your choice? (1-2) 1
In order to satisfy the 'libQt5QuickTemplates2.so.5' dependency, one of the following packages is needed:
 1- libqt5quicktemplates2_5-5.12.6-1.mga7.i586: Qt5 QuickTemplates2 Component Library (to install)
 2- libqt5quicktemplates5-5.12.2-2.mga7.i586: Qt5 Component Library (to install)
What is your choice? (1-2) 1
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch   
(medium "Core Release")
  botan2                         2.9.0        2.mga7        i586   
  kbookmarks                     5.57.0       1.mga7        i586   
  khtml                          5.57.0       1.mga7        i586   
  kirigami                       5.57.0       2.mga7        i586   
  knotifications                 5.57.0       1.mga7        i586   
  kparts                         5.57.0       1.mga7        i586   
  libbotan2_9                    2.9.0        2.mga7        i586   
  libchm0                        0.40         15.mga7       i586   
  libepub0                       0.2.2        9.mga7        i586   
  libkf5bookmarks5               5.57.0       1.mga7        i586   
  libkf5exiv2_5                  19.04.0      2.mga7        i586   
  libkf5js5                      5.57.0       1.mga7        i586   
  libkf5jsapi5                   5.57.0       1.mga7        i586   
  libkf5khtml5                   5.57.0       1.mga7        i586   
  libkf5kirigami2_5              5.57.0       2.mga7        i586   
  libkf5notifications5           5.57.0       1.mga7        i586   
  libkf5parts5                   5.57.0       1.mga7        i586   
  libkf5purpose5                 5.57.0       1.mga7        i586   
  libkf5purposewidgets5          5.57.0       1.mga7        i586   
  libkf5threadweaver5            5.57.0       1.mga7        i586   
  libkf5wallet5                  5.57.0       1.mga7        i586   
  libphonon4qt5_4                4.10.2       2.mga7        i586   
  libphonon4qt5experimental4     4.10.2       2.mga7        i586   
  libpkcs11-helper1              1.22         2.mga7        i586   
  libqca-qt5_2                   2.2.1        1.mga7        i586   
  libqmobipocket2                19.04.0      1.mga7        i586   
  libzip5                        1.5.2        1.mga7        i586   
  phonon4qt5                     4.10.2       2.mga7        i586   
  qca-qt5                        2.2.1        1.mga7        i586   
(medium "Core Updates")
  libokularcore9                 19.04.0      1.1.mga7      i586   
  libqt5quickcontrols2_5         5.12.6       1.mga7        i586   
  libqt5quicktemplates2_5        5.12.6       1.mga7        i586   
  okular                         19.04.0      1.1.mga7      i586   
  okular-handbook                19.04.0      1.1.mga7      noarch  (recommended)
  qtquickcontrols25              5.12.6       1.mga7        i586   
55MB of additional disk space will be used.
17MB of packages will be retrieved.
Proceed with the installation of the 35 packages? (Y/n) y


    $MIRRORLIST: media/core/release/libepub0-0.2.2-9.mga7.i586.rpm
    $MIRRORLIST: media/core/release/libzip5-1.5.2-1.mga7.i586.rpm             
    $MIRRORLIST: media/core/release/libkf5js5-5.57.0-1.mga7.i586.rpm           
    $MIRRORLIST: media/core/release/libkf5khtml5-5.57.0-1.mga7.i586.rpm       
    $MIRRORLIST: media/core/release/libkf5exiv2_5-19.04.0-2.mga7.i586.rpm     
    $MIRRORLIST: media/core/release/libkf5purpose5-5.57.0-1.mga7.i586.rpm     
    $MIRRORLIST: media/core/release/kbookmarks-5.57.0-1.mga7.i586.rpm         
    $MIRRORLIST: media/core/release/libqmobipocket2-19.04.0-1.mga7.i586.rpm   
    $MIRRORLIST: media/core/release/libphonon4qt5experimental4-4.10.2-2.mga7.i586.rpm
    $MIRRORLIST: media/core/release/khtml-5.57.0-1.mga7.i586.rpm               
    $MIRRORLIST: media/core/release/qca-qt5-2.2.1-1.mga7.i586.rpm             
    $MIRRORLIST: media/core/release/libkf5threadweaver5-5.57.0-1.mga7.i586.rpm
    $MIRRORLIST: media/core/release/botan2-2.9.0-2.mga7.i586.rpm               
    $MIRRORLIST: media/core/release/libkf5parts5-5.57.0-1.mga7.i586.rpm       
    $MIRRORLIST: media/core/release/libkf5purposewidgets5-5.57.0-1.mga7.i586.rpm
    $MIRRORLIST: media/core/release/libchm0-0.40-15.mga7.i586.rpm             
    $MIRRORLIST: media/core/release/libkf5jsapi5-5.57.0-1.mga7.i586.rpm       
    $MIRRORLIST: media/core/release/knotifications-5.57.0-1.mga7.i586.rpm     
    $MIRRORLIST: media/core/release/kirigami-5.57.0-2.mga7.i586.rpm           
    $MIRRORLIST: media/core/release/phonon4qt5-4.10.2-2.mga7.i586.rpm         
    $MIRRORLIST: media/core/release/libkf5bookmarks5-5.57.0-1.mga7.i586.rpm   
    $MIRRORLIST: media/core/release/libkf5wallet5-5.57.0-1.mga7.i586.rpm       
    $MIRRORLIST: media/core/release/kparts-5.57.0-1.mga7.i586.rpm             
    $MIRRORLIST: media/core/release/libpkcs11-helper1-1.22-2.mga7.i586.rpm     
    $MIRRORLIST: media/core/release/libqca-qt5_2-2.2.1-1.mga7.i586.rpm         
    $MIRRORLIST: media/core/release/libkf5notifications5-5.57.0-1.mga7.i586.rpm
    $MIRRORLIST: media/core/release/libbotan2_9-2.9.0-2.mga7.i586.rpm         
    $MIRRORLIST: media/core/release/libkf5kirigami2_5-5.57.0-2.mga7.i586.rpm   
    $MIRRORLIST: media/core/release/libphonon4qt5_4-4.10.2-2.mga7.i586.rpm     
    $MIRRORLIST: media/core/updates/okular-19.04.0-1.1.mga7.i586.rpm           
    $MIRRORLIST: media/core/updates/okular-handbook-19.04.0-1.1.mga7.noarch.rpm
    $MIRRORLIST: media/core/updates/qtquickcontrols25-5.12.6-1.mga7.i586.rpm   
    $MIRRORLIST: media/core/updates/libqt5quicktemplates2_5-5.12.6-1.mga7.i586.rpm
    $MIRRORLIST: media/core/updates/libqt5quickcontrols2_5-5.12.6-1.mga7.i586.rpm
    $MIRRORLIST: media/core/updates/libokularcore9-19.04.0-1.1.mga7.i586.rpm   
installing knotifications-5.57.0-1.mga7.i586.rpm kirigami-5.57.0-2.mga7.i586.rpm libkf5jsapi5-5.57.0-1.mga7.i586.rpm libqt5quicktemplates2_5-5.12.6-1.mga7.i586.rpm qtquickcontrols25-5.12.6-1.mga7.i586.rpm libkf5wallet5-5.57.0-1.mga7.i586.rpm kparts-5.57.0-1.mga7.i586.rpm libpkcs11-helper1-1.22-2.mga7.i586.rpm libkf5bookmarks5-5.57.0-1.mga7.i586.rpm phonon4qt5-4.10.2-2.mga7.i586.rpm libkf5notifications5-5.57.0-1.mga7.i586.rpm libbotan2_9-2.9.0-2.mga7.i586.rpm okular-handbook-19.04.0-1.1.mga7.noarch.rpm libqca-qt5_2-2.2.1-1.mga7.i586.rpm libphonon4qt5_4-4.10.2-2.mga7.i586.rpm libokularcore9-19.04.0-1.1.mga7.i586.rpm libkf5kirigami2_5-5.57.0-2.mga7.i586.rpm libkf5khtml5-5.57.0-1.mga7.i586.rpm libkf5js5-5.57.0-1.mga7.i586.rpm libzip5-1.5.2-1.mga7.i586.rpm libepub0-0.2.2-9.mga7.i586.rpm libqt5quickcontrols2_5-5.12.6-1.mga7.i586.rpm kbookmarks-5.57.0-1.mga7.i586.rpm libqmobipocket2-19.04.0-1.mga7.i586.rpm libkf5exiv2_5-19.04.0-2.mga7.i586.rpm libkf5purpose5-5.57.0-1.mga7.i586.rpm libphonon4qt5experimental4-4.10.2-2.mga7.i586.rpm libkf5parts5-5.57.0-1.mga7.i586.rpm libchm0-0.40-15.mga7.i586.rpm libkf5purposewidgets5-5.57.0-1.mga7.i586.rpm libkf5threadweaver5-5.57.0-1.mga7.i586.rpm botan2-2.9.0-2.mga7.i586.rpm okular-19.04.0-1.1.mga7.i586.rpm khtml-5.57.0-1.mga7.i586.rpm qca-qt5-2.2.1-1.mga7.i586.rpm from /var/cache/urpmi/rpms
Preparing...                     #############################################
     1/35: libphonon4qt5_4       #############################################
     2/35: libphonon4qt5experimental4
                                 #############################################
     3/35: phonon4qt5            #############################################
     4/35: kbookmarks            #############################################
     5/35: kparts                #############################################
     6/35: knotifications        #############################################
     7/35: libkf5parts5          #############################################
     8/35: libkf5js5             #############################################
     9/35: libkf5wallet5         #############################################
    10/35: libkf5bookmarks5      #############################################
    11/35: botan2                #############################################
    12/35: libbotan2_9           #############################################
    13/35: libkf5purpose5        #############################################
    14/35: libzip5               #############################################
    15/35: libqca-qt5_2          #############################################
    16/35: libqt5quicktemplates2_5
                                 #############################################
    17/35: libqt5quickcontrols2_5
                                 #############################################
    18/35: qtquickcontrols25     #############################################
    19/35: libkf5kirigami2_5     #############################################
    20/35: kirigami              #############################################
    21/35: libepub0              #############################################
    22/35: libkf5purposewidgets5 #############################################
    23/35: libkf5jsapi5          #############################################
    24/35: libkf5notifications5  #############################################
    25/35: khtml                 #############################################
    26/35: libkf5khtml5          #############################################
    27/35: libkf5threadweaver5   #############################################
    28/35: libokularcore9        #############################################
    29/35: libchm0               #############################################
    30/35: libkf5exiv2_5         #############################################
    31/35: libqmobipocket2       #############################################
    32/35: libpkcs11-helper1     #############################################
    33/35: qca-qt5               #############################################
    34/35: okular-handbook       #############################################
    35/35: okular                #############################################



when I try to start okular at the prompt I get the following error.

Code: Select all
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.

nwtmg
 
Posts: 113
Joined: Jun 2nd, '15, 22:14

SOLVED: Re: re-install problems

Postby nwtmg » Apr 5th, '20, 13:24

Problem fixe. Performed another update and problem fixed. When Installed if there was an update performed. Thanks.
nwtmg
 
Posts: 113
Joined: Jun 2nd, '15, 22:14

Re: re-install problems

Postby isadora » Apr 5th, '20, 14:08

Would you please mark this topic [SOLVED]?
You can do so by editing the title/subject of the first message in the topic.
Place [SOLVED] in front of subject/title.

Thanks ahead. :)
..........bird from paradise..........

Perfection is achieved, not when there is nothing more to add, but when there is nothing left to take away.
—Antoine de Saint-Exupéry
User avatar
isadora
 
Posts: 2579
Joined: Mar 25th, '11, 16:03
Location: Amsterdam, the Netherlands


Return to Basic support

Who is online

Users browsing this forum: No registered users and 1 guest

cron